# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Wire Class Reference

## Public Member Functions
void | addIntermediatePoint (double x, double y)
| adds an IntermediatePoint to the wire. More...
WirePoint * | getEndPoint ()
| returns the end point of the wire.
const std::vector< IntermediatePoint * > & | getIntermediatePoints ()
| returns the list of wire's IntermediatePoint.
WirePoint * | getStartPoint ()
| returns the start point of the wire.
bool | hasNoIntermediatePoints ()
| returns true if the wire has no IntermediatePoint.
void | setEndPoint (unsigned idx)
| sets the wire's end point as a PortPoint. More...
void | setStartPoint (unsigned idx)
| sets the wire's start point as a PortPoint. More...
| Wire ()
| creates a new wire.

## Detailed Description

This class describes wire.

A wire is used by schematic to the connections between instances. It is defined by:

- a start point (InstancePoint or PortPoint),
- a end point (InstancePoint or PortPoint),
- a list of IntermediatePoint, this list may be empty.

Note
  Althought the Wire object is related to Schematic, it is handled by Net object since a wire is always associated to a Net.

## Member Function Documentation

## ◆ addIntermediatePoint()

void addIntermediatePoint | ( | double | x,
|  | double | y
| ) |  |

adds an IntermediatePoint to the wire.

Parameters

  x | the x coordinate of the IntermediatePoint.
  y | the y coordinate of the IntermediatePoint.

## ◆ setEndPoint()

void setEndPoint | ( | unsigned | idx | ) |

sets the wire's end point as a PortPoint.

Parameters

  idx | the index of the port associated to the PortPoint.

## ◆ setStartPoint()

void setStartPoint | ( | unsigned | idx | ) |

sets the wire's start point as a PortPoint.

Parameters

  idx | the index of the port associated to the PortPoint.

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved